/*---------------------------------------------------------------------------
 PROJET     : Couche de portabilite multi-systeme
 
 PLATE-FORME: MAC OS X
 
 MODULE     : Definition des macros et des types utilises par la couche 
              d'abstraction systeme pour la plate-forme LINUX.
              
              Le fichier de definition des types portable (ce fichier) doit 
              etre inclus avant tout autre .h de definitions d'APIS gip-cps. 
              Ce fichier definit tous les types et macros dependants du 
              systeme. 

 FICHIER    : common\linux\src\linuxdef.h

 VERSION    : 1.00
 
 DATE       : 10/01/2001
 
 AUTEUR     : ALVARO ROCHA
 
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
 Modifications:  (nouvelle version, date, auteur, explication)
 ...

 - V4.31 - AROC le 12/02/2001 :
      Ajout des #define TRUE et FALSE ainsi que le typedef int BOOLEEN
-----------------------------------------------------------------------------
---------------------------------------------------------------------------*/


#ifndef __CPSCASDF_H
#define __CPSCASDF_H

//#ifndef __MACTYPES__
/*#include <CarbonCore/MacTypes.h>*/
//#include"/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/Headers/MacTypes.h"*/
//#endif



/*----------------- definition des macros portables ------------------------*/


/* point d'entree exporte en DLL ?????????????????????????????????????????  */
#define API_ENTRY /* pour l'instant */

#define far
#define FAR

#define PTR *

#define PVOID void PTR

#ifndef FARPTR
#define FARPTR PTR
#endif
#define FPVOID void FARPTR

/* AROC 18/O4/2001 ajout pour io_comm*/
#define HCOMM	unsigned int
#define PHCOMM	HCOMM FARPTR

/* AROC 12/02/2001 debut : */
#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif
/* AROC 12/02/2001 fin */

/*----------------- definition des types portables ------------------------*/

/* AROC 12/02/2001 debut : */
/* mise en commentaire de ce define car pb avec module sts où BOOLEEN est defini en char*/
//#ifndef BOOLEEN
//typedef int BOOLEEN;
//#define BOOLEEN int
//#endif
/* AROC 12/02/2001 fin */
/* Boolean */
#define BOOL Boolean

//#define _MAX_PATH 1024
typedef char CHAR;
typedef CHAR PTR PCHAR;

typedef CHAR PTR PSTRG; 

typedef unsigned char UCHAR;
typedef UCHAR PTR PUCHAR;

typedef char INT8;
typedef short INT16;
typedef long INT32;

typedef INT8 PTR PINT8;
typedef INT16 PTR PINT16;
typedef INT32 PTR PINT32;

typedef unsigned char UINT8;
typedef unsigned short UINT16;
typedef unsigned long UINT32;

typedef UINT8 PTR PUINT8;
typedef UINT16 PTR PUINT16;
typedef UINT32 PTR PUINT32;

/* 11/02/1997 : Ajout DRE pour CPSCAS */
typedef void VOID;
typedef char PTR PSTR;
/* 11/02/1997 : Fin */

typedef unsigned short WORD;
typedef unsigned long DWORD;
typedef unsigned char BYTE;
typedef BYTE far * LPBYTE;

#define Unref( a) a=a

#ifndef min
#define min(a,b) ((a)>(b)?(b):(a))
#endif

#ifndef max
#define max(a,b) ((a)<(b)?(b):(a))
#endif

#ifdef LITTLE_ENDIAN
#undef LITTLE_ENDIAN
#endif

#ifndef PATH_MAX
#define PATH_MAX		 1024
#endif
#ifndef _MAX_PATH
#define _MAX_PATH PATH_MAX /*  PATH_MAX defini dans <usr/include/sys/syslimits.h> */
#endif



/* Taille maximale allouÈe par la fonction "malloc" */
#ifndef MAXBLOC
#define MAXBLOC    0x7FFFFFFF
#endif

#endif
